2019-08-23 16:14 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005051Spring engineGeneralpublic2016-01-30 18:42
ReporterJools 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityrandom
StatusresolvedResolutionfixed 
Product Version100.0+git 
Target VersionFixed in Version100.0+git 
Summary0005051: Crash in LosMap.cpp:585 after /give all
DescriptionCrash after give all, happened when I was investigating lua error from missing featuredefs/models.
Additional Informationmingw32/4.8.1/include/c++/bits/shared_ptr_base.h:552
U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe 0x00920D9F /opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:2029
U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe 0x009211CA rts/Sim/Misc/LosHandler.cpp:685
U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe 0x00BF54E8 /opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:2469
U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe 0x00C2E02D /opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/atomic_base.h:624
U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe 0x00BF5510 /opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:2469
U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe 0x00B5337C /slave/mingwlibs/include/boost/thread/detail/thread.hpp:118
U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe 0x00901996 thread.cpp:?
C:\Windows\syswow64\kernel32.dll 0x7612338A ??:0
C:\Windows\SysWOW64\ntdll.dll 0x77129EF2 ??:0
C:\Windows\SysWOW64\ntdll.dll 0x77129EC5 ??:0
U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe 0x00925ED6 rts/Sim/Misc/LosMap.cpp:649
U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe 0x00926428 /opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/stl_vector.h:734
U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe 0x0091CDC3 /opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:2073
U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe 0x00BF54E8 /opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:2469
U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe 0x00C2E02D /opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/atomic_base.h:624
U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe 0x00BF5510 /opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:2469
U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe 0x00B5337C /slave/mingwlibs/include/boost/thread/detail/thread.hpp:118
U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe 0x00901996 thread.cpp:?
C:\Windows\syswow64\kernel32.dll 0x7612338A ??:0
C:\Windows\SysWOW64\ntdll.dll 0x77129EF2 ??:0
C:\Windows\SysWOW64\ntdll.dll 0x77129EC5 ??:0
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files
  • txt file icon infolog.txt (47,854 bytes) 2016-01-30 17:07 -
    [ParseCmdLine] command-line args: "U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe"
    Using configuration source: "U:\bin\Spring\Data\springsettings.cfg"
    ============== <User Config> ==============
    AdvSky = 1
    BumpWaterBlurReflection = 1
    BumpWaterShoreWaves = 0
    BumpWaterTexSizeReflection = 128
    CamTimeExponent = 4.0
    CamTimeFactor = 1.0
    CrossSize = 10
    DisableDemoVersionCheck = 1
    DualScreenMiniMapOnLeft = 1
    FeatureDrawDistance = 8000
    FeatureFadeDistance = 6500
    FixAltTab = 1
    GrassDetail = 1
    GroundDetail = 600
    GuiOpacity = 0.2
    HardwareCursor = 1
    InitialNetworkTimeout = 0
    InputTextGeo = 0.26 0.73 0.02 0.028
    LODScale = 1.000
    LODScaleReflection = 1.000
    LODScaleRefraction = 1.000
    LODScaleShadow = 1.000
    LastSelectedMap = Red Comet
    LastSelectedMod = XTA $VERSION
    LastSelectedScript = Player vs. AI: NullAI 0.1
    LastSelectedSetting = Fullscreen
    LinkIncomingMaxPacketRate = 512
    LinkIncomingMaxWaitingPackets = 1024
    LinkIncomingPeakBandwidth = 524288
    LinkIncomingSustainedBandwidth = 131072
    LinkOutgoingBandwidth = 1048576
    MaxDynamicMapLights = 4
    MaxDynamicModelLights = 4
    MaxNanoParticles = 6000
    MaxParticles = 20000
    MouseDragScrollThreshold = 0
    NetworkTimeout = 0
    ReconnectTimeout = 0
    ReflectiveWater = 3
    SMFTexAniso = 0.0
    ScreenshotCounter = 601
    ScrollWheelSpeed = -25
    ShadowMapSize = 6144
    Shadows = 1
    ShowFPS = 1
    ShowPlayerInfo = 0
    SmoothLines = 0
    SmoothPoints = 0
    SpringData = U:\bin\Spring\Data
    TeamHighlight = 0
    UnitIconDist = 800
    UnitLodDist = 600
    VSync = 1
    WindowBorderless = 1
    WindowPosX = 0
    WindowPosY = 56
    WindowState = 0
    XResolution = 1280
    XResolutionWindowed = 1243
    YResolution = 1024
    YResolutionWindowed = 971
    name = Jools
    snd_volbattle = 48
    snd_volmaster = 6
    snd_volmusic = 34
    snd_volunitreply = 30
    ============== </User Config> ==============
    Available log sections: KeyBindings, AutohostInterface, GameServer, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, OBJParser, ModelRenderContainer, Shader, Texture, Font, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket, GroundMoveType, Path, UnitScript
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 100.0.1-1008-g4bfb2bb develop
    Build Environment: boost-105500, GNU libstdc++ version 20130531
    Compiler Version:  gcc-4.8.1
    Operating System:  Microsoft Windows
    Microsoft Windows 7 Ultimate Edition, 64-bit Service Pack 1 (build 7601)
    Intel(R) Core(TM)2 Quad CPU    Q6700  @ 2.66GHz; 4095MB RAM, 10237MB pagefile
    Word Size:         32-bit (emulated)
             CPU Clock: win32::TimeGetTime
    Physical CPU Cores: 4
     Logical CPU Cores: 4
    [CMyMath::Init] CPU SSE mask: 124, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  0,  SSE 4.2:  0
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1280x1024:
    	640x480, 720x480, 720x576, 800x600, 1280x720, 1024x768, 1280x768, 1280x800, 1152x864, 1280x960, 1280x1024
    SDL version:  linked 2.0.4; compiled 2.0.4
    GL version:   4.5.0 NVIDIA 347.52
    GL vendor:    NVIDIA Corporation
    GL renderer:  GeForce GTX 460/PCIe/SSE2
    GLSL version: 4.50 NVIDIA
    GLEW version: 1.5.8
    Video RAM:    total 1024MB, available 870MB
    SwapInterval: 1
    FBO::maxSamples: 32
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 0
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 1
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 190, maximum vec4 varying/attributes: 31/16
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 1048576/1048576
    	number of UniformBufferBindings: 84 (64kB)
    Using VSync
    [InitOpenGL] video mode set to 1280x1024:24bit @60Hz 
    [WatchDogInstall] Installed (HangTimeout: 10sec)
    [WatchDog] registering controls for thread [main]
    [ThreadPool::SetThreadCount][1] #wanted=4 #current=1 #max=4
    [ThreadPool::SetThreadCount][2] #threads=3
    Using read-write data directory: U:\bin\Spring\Data\
    Using read-only data directory: U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\
    Scanning: U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\base
    Scanning: U:\bin\Spring\Data\maps
    Scanning: U:\bin\Spring\Data\games
    Scanning: U:\bin\Spring\Data\packages
    [f=-000001] [Sound] OpenAL info:
    [f=-000001] [Sound]   Available Devices:
    [f=-000001] [Sound]               Speakers (High Definition Audio Device)
    [f=-000001] [Sound]               Speakers (High Definition Audio Device)
    [f=-000001] [Sound]               Digital Audio (S/PDIF) (High Definition Audio Device)
    [f=-000001] [Sound]   Device:     OpenAL Soft
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound] Error:   EFX: AL_INVALID_VALUE (40963)
    [f=-000001] [Sound] Error:   Initializing EFX failed!
    [f=-000001] [Sound]   Max Sounds: 128
    [f=-000001] [WatchDog] registering controls for thread [audio]
    [f=-000001] Joysticks found: 0
    [f=-000001] [ThreadPool::SetThreadCount][1] #wanted=3 #current=4 #max=4
    [f=-000001] [ThreadPool::SetThreadCount][2] #threads=2
    [f=-000001] [Threading] Main thread CPU affinity mask set: 12
    [f=-000001] [InitOpenGL] video mode set to 1280x1024:24bit @60Hz 
    [f=-000001] Hosting on: localhost:8452
    [f=-000001] Connecting to local server
    [f=-000001] [AddGameSetupArchivesToVFS] using map: Red Comet
    [f=-000001] Warning: Opening socket on loopback address. Other users will not be able to connect!
    [f=-000001] Binding UDP socket to IP (v6) ::1 (localhost) port 8452
    [f=-000001] [UDPListener] successfully bound socket on port 8452
    [f=-000001] PreGame::StartServer: 23 ms
    [f=-000001] [AddGameSetupArchivesToVFS] using map: Red Comet
    [f=-000001] [AddGameSetupArchivesToVFS] using game: XTA $VERSION (archive: xta-svn.sdz)
    [f=-000001] Recording demo to: U:\bin\Spring\Data\demos\20160130_175826_Red Comet_100.0.1-1008-g4bfb2bb develop.sdf.gz
    [f=-000001] PreGame::GameDataReceived: 239 ms
    [f=-000001] [PreGame::UpdateClientNet] user number 0 (team 0, allyteam 0)
    [f=-000001] [LuaIntro] Searching for new Widgets
    [f=-000001] [LuaIntro] Scanning: LuaIntro/addons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/systemaddons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/systemWidgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
    [f=-000001] [LuaIntro] Found new widget "SpringLogo"
    [f=-000001] [LuaIntro] Found new widget "LoadTexture"
    [f=-000001] [LuaIntro] Found new widget "LoadProgress"
    [f=-000001] [LuaIntro] Found new widget "Main"
    [f=-000001] [LuaIntro] Found new widget "Music"
    [f=-000001] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaIntro] Loading widget:      Engine Taskbar Stuff   <engine_taskbar_control.lua>
    [f=-000001] Warning: window-manager icon: Trying to set a window-manager icon with the wrong format.
    [f=-000001] Warning: window-manager icon: It has to be 24bit or 32bit, and on windows it additionally has to be 32x32 pixels.
    [f=-000001] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=-000001] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=-000001] Music files: , 1
    [f=-000001] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=-000001] [WatchDog] registering controls for thread [load]
    [f=-000001] Parsing Map Information
    [f=-000001] Loading SMF
    [f=-000001] Loading Map (38 MB)
    [f=-000001] Loading Radar Icons
    [f=-000001] Loading GameData Definitions
    [f=-000001] Now is year:2016 and day:1
    [f=-000001] Easter Sunday is on:27/3/2016 or day number:86
    [f=-000001] It is not easter yet.
    [f=-000001] [unitdefs.lua] Error: removed the "arm_rebel" entry from the "arm_landship_lab" build menu
    [f=-000001] Removing obsolete weapondef tag: aimrate (in 'large_buildingex')
    [f=-000001] Removing obsolete weapondef tag: ballistic (in 'large_buildingex')
    [f=-000001] Removing obsolete weapondef tag: beamlaser (in 'large_buildingex')
    [f=-000001] Removing obsolete weapondef tag: beamweapon (in 'large_buildingex')
    [f=-000001] Removed 22504 additional obsolete weapondef tags
    [f=-000001] Loading all definitions:  0.678000
    [f=-000001] Game::LoadDefs (GameData): 834 ms
    [f=-000001] Loading Sound Definitions
    [f=-000001] Exception:, cancel1.wav
    [f=-000001] Exception:, cancel2.wav
    [f=-000001] Exception:, count1.wav
    [f=-000001] Exception:, count2.wav
    [f=-000001] Exception:, count3.wav
    [f=-000001] Exception:, count4.wav
    [f=-000001] Exception:, count5.wav
    [f=-000001] Exception:, count6.wav
    [f=-000001] Exception:, fleabossattack.wav
    [f=-000001] [Sound]  parsed 751 sounds from gamedata/sounds.lua
    [f=-000001] Game::LoadDefs (Sound): 45 ms
    [f=-000001] Creating Smooth Height Mesh
    [f=-000001] SmoothHeightMesh::MakeSmoothMesh: 28 ms
    [f=-000001] Creating QuadField & CEGs
    [f=-000001] [CDamageArrayHandler] number of ArmorDefs: 20
    [f=-000001] Warning: [CDamageArrayHandler] UnitDef "armcom" in ArmorDef "armcom" already belongs to ArmorDef category 1!
    [f=-000001] Warning: [CDamageArrayHandler] UnitDef "corcom" in ArmorDef "corcom" already belongs to ArmorDef category 2!
    [f=-000001] Warning: [CDamageArrayHandler] UnitDef "lost_equalizer" in ArmorDef "group_ships" already belongs to ArmorDef category 7!
    [f=-000001] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=-000001] Creating Unit Textures
    [f=-000001] Creating Sky
    [f=-000001] Loading Weapon Definitions
    [f=-000001] Warning: Could not load sound from def: battle/fastburn
    [f=-000001] Loading Unit Definitions
    [f=-000001] Warning: too many unit categories (32), skipping mine
    [f=-000001] Warning: too many unit categories (33), skipping jammer
    [f=-000001] Warning: too many unit categories (34), skipping flea
    [f=-000001] Warning: too many unit categories (35), skipping level3
    [f=-000001] Warning: too many unit categories (36), skipping guardian
    [f=-000001] Warning: too many unit categories (37), skipping lost
    [f=-000001] Warning: too many unit categories (38), skipping ctrl_b
    [f=-000001] Warning: too many unit categories (39), skipping ctrl_w
    [f=-000001] Warning: too many unit categories (40), skipping level2
    [f=-000001] Warning: too many unit categories (41), skipping notstructure
    [f=-000001] Warning: too many unit categories (42), skipping ctrl_g
    [f=-000001] Warning: too many unit categories (43), skipping ctrl_v
    [f=-000001] Warning: too many unit categories (44), skipping ht
    [f=-000001] Warning: too many unit categories (45), skipping special
    [f=-000001] Loading Feature Definitions
    [f=-000001] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=-000001] Initializing Map Features
    [f=-000001] Creating ShadowHandler & DecalHandler
    [f=-000001] Creating GroundDrawer
    [f=-000001] Loading Map Tiles
    [f=-000001] Loading Square Textures
    [f=-000001] CSMFGroundTextures::ConvolveHeightMap: 2 ms
    [f=-000001] Switching to ROAM Mesh Rendering
    [f=-000001] Creating TreeDrawer
    [f=-000001] Creating ProjectileDrawer & UnitDrawer
    [f=-000001] Creating Projectile Textures
    [f=-000001] Warning: [CCEG::Load] EMGFLASH: Unknown tag CSmokeProjectile::sizegrowth
    [f=-000001] Warning: [CCEG::Load] DGUNTRACE: Unknown tag CDirtProjectile::lifetime
    [f=-000001] Warning: [CCEG::Load] ZIPPERDICKER_EFFECT: Unknown tag CHeatCloudProjectile::color
    [f=-000001] Warning: [CCEG::Load] LIGHTNING_NEW: Unknown tag CHeatCloudProjectile::color
    [f=-000001] Warning: [CCEG::Load] LIGHTNING_NEW: Unknown tag CSmokeProjectile::sizegrowth
    [f=-000001] Warning: [CCEG::Load] PURPLELASER: Unknown tag CSmokeProjectile::sizegrowth
    [f=-000001] Warning: [CCEG::Load] DCAPtrace: Unknown tag CDirtProjectile::lifetime
    [f=-000001] Warning: [CCEG::Load] FLAMETHROWER: Unknown tag CSmokeProjectile::sizegrowth
    [f=-000001] Warning: [CCEG::Load] BERTHABLAST: Unknown tag CDirtProjectile::lifetime
    [f=-000001] Warning: [CCEG::Load] BERTHABLAST: Unknown tag CHeatCloudProjectile::colormap
    [f=-000001] Warning: [CCEG::Load] BERTHABLAST: Unknown tag CHeatCloudProjectile::colormap
    [f=-000001] Warning: [CCEG::Load] BERTHABLAST: Unknown tag CHeatCloudProjectile::colormap
    [f=-000001] Warning: [CCEG::Load] BERTHABLAST: Unknown tag CHeatCloudProjectile::colormap
    [f=-000001] Warning: [CCEG::Load] BERTHABLAST: Unknown tag CHeatCloudProjectile::colormap
    [f=-000001] Warning: [CCEG::Load] BERTHABLAST: Unknown tag CHeatCloudProjectile::colormap
    [f=-000001] Warning: [CCEG::Load] BERTHABLAST: Unknown tag CHeatCloudProjectile::colormap
    [f=-000001] Warning: [CCEG::Load] BERTHABLAST: Unknown tag CHeatCloudProjectile::colormap
    [f=-000001] Warning: [CCEG::Load] BERTHABLAST: Unknown tag CHeatCloudProjectile::colormap
    [f=-000001] Warning: [CCEG::Load] BERTHABLAST: Unknown tag CHeatCloudProjectile::colormap
    [f=-000001] Warning: [CCEG::Load] BERTHABLAST: Unknown tag CSmokeProjectile::sizegrowth
    [f=-000001] Warning: [CCEG::Load] TLLTRAIL: Unknown tag CHeatCloudProjectile::color
    [f=-000001] Warning: [CCEG::Load] table for CEG "smallrocketsmoke1" invalid (parse errors?)
    [f=-000001] Creating Water
    [f=-000001] Game::LoadInterface (Camera&Mouse): 109 ms
    [f=-000001] Game::LoadInterface (Console): 3 ms
    [f=-000001] InfoTexture: shaders
    [f=-000001] Loading LuaRules
    [f=-000001] No Self Pwn:  Nonexisting unit: Lost_fireraiser
    [f=-000001] No Self Pwn:  Nonexisting unit: Lost_Dreadnought
    [f=-000001] No Self Pwn:  Nonexisting unit: Lost_Devastator
    [f=-000001] gaia_critters.lua: gadget:Initialize() Game.mapName=Red Comet
    [f=-000001] no critter config for this map
    [f=-000001] Loaded SYNCED gadget:  gaia critter units  <gaia_critters.lua>
    [f=-000001] Loaded SYNCED gadget:  game_stats          <gui_endstats.lua>
    [f=-000001] Loaded SYNCED gadget:  CobButton           <unit_cobbutton.lua>
    [f=-000001] Loaded SYNCED gadget:  Team-comends        <game_teamcomends.lua>
    [f=-000001] Loaded SYNCED gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=-000001] Loaded SYNCED gadget:  Abandoned reveal    <unit_abandoned_reveal.lua>
    [f=-000001] Loaded SYNCED gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=-000001] Loaded SYNCED gadget:  Announce kills      <ui_announce_kills.lua>
    [f=-000001] Loaded SYNCED gadget:  Cloak lose target   <game_cloak_lose_target.lua>
    [f=-000001] Loaded SYNCED gadget:  Cobcallins          <cobcallins.lua>
    [f=-000001] Loaded SYNCED gadget:  Commander Sounds    <unit_commander_sounds.lua>
    [f=-000001] Loaded SYNCED gadget:  Crush ceg           <gfx_crushceg.lua>
    [f=-000001] Loaded SYNCED gadget:  DGun CmdType Fix    <unit_dgun_cmdtype_fix.lua>
    [f=-000001] Loaded SYNCED gadget:  Disable Buildoptions  <unit_disable_buildoptions.lua>
    [f=-000001] Loaded SYNCED gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded SYNCED gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=-000001] Loaded SYNCED gadget:  Factory Anti-Stuck  <factory_anti_stuck.lua>
    [f=-000001] Loaded SYNCED gadget:  Fire Rate           <unit_fire_rate.lua>
    [f=-000001] Loaded SYNCED gadget:  Health Upgrade      <unit_health_upgrade.lua>
    [f=-000001] Loaded SYNCED gadget:  I Hate CMD.SET_WANTED_MAX_SPEED  <i_hate_cmd_set_wanted_max_speed.lua>
    [f=-000001] Loaded SYNCED gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=-000001] Loaded SYNCED gadget:  Jumpjets            <unit_jumpjets.lua>
    [f=-000001] Loaded SYNCED gadget:  Local sounds        <snd_local.lua>
    [f=-000001] Loaded SYNCED gadget:  Lua unit script framework  <unit_script.lua>
    [f=-000001] Loaded SYNCED gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=-000001] Loaded SYNCED gadget:  Minelayer Limit     <unit_minelayer_limit.lua>
    [f=-000001] Loaded SYNCED gadget:  Mission Script Engine  <game_mission_script.lua>
    [f=-000001] Loaded SYNCED gadget:  No Land Damage      <unit_no_land_damage.lua>
    [f=-000001] Loaded SYNCED gadget:  No Self Pwn         <unit_noselfpwn.lua>
    [f=-000001] Loaded SYNCED gadget:  NoAirNuke           <exp_no_air_nuke.lua>
    [f=-000001] Loaded SYNCED gadget:  Production Rate     <unit_buildspeed.lua>
    [f=-000001] Loaded SYNCED gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=-000001] Loaded SYNCED gadget:  Repair Pad          <unit_repairpad.lua>
    [f=-000001] Loaded SYNCED gadget:  Spawn               <commoption.lua>
    [f=-000001] Loaded SYNCED gadget:  State Broadcast     <game_statebroadcast.lua>
    [f=-000001] Loaded SYNCED gadget:  Stockpile limit     <unit_stockpile_limit.lua>
    [f=-000001] Loaded SYNCED gadget:  Transporter wrecks  <game_transporterwrecks.lua>
    [f=-000001] Loaded SYNCED gadget:  UnitEStallDisable   <unit_estall_disable.lua>
    [f=-000001] Loaded SYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=-000001] Loaded SYNCED gadget:  UnitStealth         <unit_stealth.lua>
    [f=-000001] Loaded SYNCED gadget:  Watereffects        <fx_watersplash.lua>
    [f=-000001] dbg_cheats.lua: loaded for XTA version $VERSION
    [f=-000001] Loaded SYNCED gadget:  enablecheats        <dbg_cheats.lua>
    [f=-000001] Loaded SYNCED gadget:  game_zombiemode     <game_zombiemode.lua>
    [f=-000001] Loaded SYNCED gadget:  gui_minimapX        <gui_minimapx.lua>
    [f=-000001] Loaded SYNCED gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=-000001] Loaded SYNCED gadget:  unit_crashing_aircraft  <unit_crashing_aircraft.lua>
    [f=-000001] Loaded SYNCED gadget:  Area Attack         <areaattack.lua>
    [f=-000001] Loaded SYNCED gadget:  Cursor handling     <gui_cursorhandling.lua>
    [f=-000001] Loaded SYNCED gadget:  Fleabowl Muzak      <ui_fleabowl_muzak.lua>
    [f=-000001] Loaded SYNCED gadget:  Remove commands     <unit_removecommands.lua>
    [f=-000001] Loaded SYNCED gadget:  Sneer after comnap  <ui_comnapsneer.lua>
    [f=-000001] Loaded SYNCED gadget:  Take Manager        <cmd_idle_players.lua>
    [f=-000001] Loaded SYNCED gadget:  Add commands        <game_addcommand.lua>
    [f=-000001] Loaded SYNCED gadget:  Airstrikes          <gui_airstrike.lua>
    [f=-000001] Loaded SYNCED gadget:  Experience          <unit_experience.lua>
    [f=-000001] Loaded SYNCED gadget:  Gameover procedure  <game_gameover.lua>
    [f=-000001] Loaded SYNCED gadget:  Kamikaze            <unit_kamikaze.lua>
    [f=-000001] Loaded SYNCED gadget:  WatchBuilders       <unit_watchbuilders.lua>
    [f=-000001] Loaded SYNCED gadget:  TeamDiedMessages    <gui_teamdiedmessages.lua>
    [f=-000001] Loaded SYNCED gadget:  Game End            <game_end.lua>
    [f=-000001] Loaded SYNCED gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    [f=-000001] Loaded SYNCED gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=-000001] start profiling
    [f=-000001] hooked all callins: OK
    [f=-000001] hooked UpdateCallin: OK
    [f=-000001] Loaded SYNCED gadget:  Profiler            <dbg_profiler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  game_stats          <gui_endstats.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Abandoned reveal    <unit_abandoned_reveal.lua>
    [f=-000001] Loaded UNSYNCED gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Announce kills      <ui_announce_kills.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Cloak lose target   <game_cloak_lose_target.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Cobcallins          <cobcallins.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Commander Sounds    <unit_commander_sounds.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Crush ceg           <gfx_crushceg.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Factory Anti-Stuck  <factory_anti_stuck.lua>
    [f=-000001] Loaded UNSYNCED gadget:  I Hate CMD.SET_WANTED_MAX_SPEED  <i_hate_cmd_set_wanted_max_speed.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Local sounds        <snd_local.lua>
    [f=-000001] Loaded UNSYNCED gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Minelayer Limit     <unit_minelayer_limit.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Mission Script Engine  <game_mission_script.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=-000001] Loaded UNSYNCED gadget:  State Broadcast     <game_statebroadcast.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Stockpile limit     <unit_stockpile_limit.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Transporter wrecks  <game_transporterwrecks.lua>
    [f=-000001] Loaded UNSYNCED gadget:  UnitEStallDisable   <unit_estall_disable.lua>
    [f=-000001] Loaded UNSYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=-000001] Loaded UNSYNCED gadget:  UnitStealth         <unit_stealth.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Watereffects        <fx_watersplash.lua>
    [f=-000001] Loaded UNSYNCED gadget:  enablecheats        <dbg_cheats.lua>
    [f=-000001] Loaded UNSYNCED gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=-000001] Loaded UNSYNCED gadget:  gui_minimapX        <gui_minimapx.lua>
    [f=-000001] Loaded UNSYNCED gadget:  mo_nowrecks         <mo_nowrecks.lua>
    [f=-000001] Loaded UNSYNCED gadget:  unit_crashing_aircraft.lua  <unit_crashing_aircraft.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Area Attack         <areaattack.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Cursor handling     <gui_cursorhandling.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Fleabowl Muzak      <ui_fleabowl_muzak.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Remove commands     <unit_removecommands.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Sneer after comnap  <ui_comnapsneer.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Take Manager        <cmd_idle_players.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Add commands        <game_addcommand.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Airstrikes          <gui_airstrike.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Experience          <unit_experience.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Gameover procedure  <game_gameover.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Kamikaze            <unit_kamikaze.lua>
    [f=-000001] Loaded UNSYNCED gadget:  WatchBuilders       <unit_watchbuilders.lua>
    [f=-000001] Loaded UNSYNCED gadget:  TeamDiedMessages    <gui_teamdiedmessages.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Game End            <game_end.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Chicken Spawner     <unit_spawner.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Lups                <lups_wrapper.lua>
    [f=-000001] start profiling
    [f=-000001] hooked all callins: OK
    [f=-000001] hooked UpdateCallin: OK
    [f=-000001] Loaded UNSYNCED gadget:  Profiler            <dbg_profiler.lua>
    [f=-000001] Loading LuaGaia
    [f=-000001] Loading LuaUI
    [f=-000001] LuaUI Entry Point: "luaui.lua"
    [f=-000001] LuaUI Access Lock: disabled
    [f=-000001] LuaSocket Enabled: yes
    [f=-000001] Using LUAUI_DIRNAME = LuaUI/
    [f=-000001] Reloading GUI config from file: LuaUI/ctrlpanel.txt
    [f=-000001] LuaUI: bound F11 to the widget selector
    [f=-000001] LuaUI: bound CTRL+F11 to tweak mode
    [f=-000001] Switching to Overhead (TA) style camera
    [f=-000001] [widgets.lua] Error: Failed to load: gui_options.lua  (duplicate name)
    [f=-000001] Warning: [GetTexture] unknown 3DO texture "cz_tread200" for piece "tracks"
    [f=-000001] Warning: [CheckPieceNormals] piece "Ground" of model "objects3d/core_morty_smoth.s3o" has 4 (of 4) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] Warning: [CheckPieceNormals] piece "base" of model "objects3d/core_silencer.s3o" has 1 (of 282) null-normals! It will either be rendered fully black or with black splotches!
    [f=-000001] [Texture] Warning: [LoadTexture] could not load texture "ANTREFd.dds" from model "objects3d/critter_ant.s3o"
    [f=-000001] [Texture] Warning: [LoadTexture] could not load texture "Spring unit" from model "objects3d/critter_duck.s3o"
    [f=-000001] Warning: [GetTexture] unknown 3DO texture "gokstripes2bfade100" for piece "rsystem"
    [f=-000001] Warning: [GetTexture] unknown 3DO texture "gokruneplate13b00" for piece "arm2"
    [f=-000001] Reloading GUI config from file: ctrlpanelImp.txt
    [f=-000001] LuaUI v0.3
    [f=-000001] [LoadFinalize] finalizing PFS
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=162612662
    [f=-000001] Reading Estimate PathCosts [8]
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=162612686
    [f=-000001] Reading Estimate PathCosts [32]
    [f=-000001] [LoadFinalize] finalized PFS (138ms, checksum f824bf32)
    [f=-000001] Loading Skirmish AIs
    [f=-000001] [WatchDog] deregistering controls for thread [load]
    [f=-000001] Loaded DecalsDrawer: Legacy
    [f=-000001] GameID: a2ddac56ce075c8a3e761af9f2abb39a
    [f=-000001] Connection attempt from Jools
    [f=-000001]  -> Version: 100.0.1-1008-g4bfb2bb develop
    [f=-000001]  -> Connection established (given id 0)
    [f=-000001] Cheating is enabled!
    [f=-000001] Skirmish AI "Enemy" (ID:0, Short-Name:"NullAI", Version:"0.1") took over control of team 1
    [f=-000001] Player Jools finished loading and is now ingame
    [f=0000059] [GiveUnits] spawned 1 arm_hawk unit(s) for team 0
    [f=0000255] Hawk: self-destruct in 5s
    [f=0000285] Hawk: self-destruct in 4s
    [f=0000315] Hawk: self-destruct in 3s
    [f=0000345] Hawk: self-destruct in 2s
    [f=0000375] Hawk: self-destruct in 1s
    [f=0000580] GH-FC:, 3, 0
    [f=0000580] Error: LuaRules::RunCallIn: error = 2, FeatureCreated, [Internal Lua error: Call failure] [string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: attempt to index a nil value
    stack traceback:
    	[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: in function 'origFunc'
    	[string "LuaRules/Gadgets/dbg_profiler.lua"]:75: in function 'FeatureCreated'
    	[string "LuaRules/gadgets.lua"]:1585: in function <[string "LuaRules/gadgets.lua"]:1582>
    	(tail call): ?
    [f=0000580] GH-FC:, 117, 0
    [f=0000580] Error: LuaRules::RunCallIn: error = 2, FeatureCreated, [Internal Lua error: Call failure] [string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: attempt to index a nil value
    stack traceback:
    	[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: in function <[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:195>
    	(tail call): ?
    	[string "LuaRules/gadgets.lua"]:1585: in function <[string "LuaRules/gadgets.lua"]:1582>
    	(tail call): ?
    [f=0000580] GH-FC:, 39, 0
    [f=0000580] Error: LuaRules::RunCallIn: error = 2, FeatureCreated, [Internal Lua error: Call failure] [string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: attempt to index a nil value
    stack traceback:
    	[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: in function <[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:195>
    	(tail call): ?
    	[string "LuaRules/gadgets.lua"]:1585: in function <[string "LuaRules/gadgets.lua"]:1582>
    	(tail call): ?
    [f=0000580] Error: [GetFeatureDef] could not find FeatureDef "arm_geomantle_powerplant_dead"
    [f=0000580] [UnitScript] Warning: [MapScriptToModelPieces] could not find piece named "smoke" (referenced by COB script "scripts/arm_geomantle_powerplant.cob")
    [f=0000580] [UnitScript] Warning: [MapScriptToModelPieces] could not find piece named "pieces" (referenced by COB script "scripts/arm_geomantle_powerplant.cob")
    [f=0000580] Warning: arm_orion: weapon3: Neither AimFromWeapon nor QueryWeapon defined or returned invalid pieceids
    [f=0000580] Warning: [GetTexture] unknown 3DO texture "bluelight_anim00" for piece "glowy"
    [f=0000580] Warning: [GetTexture] unknown 3DO texture "bluelight_anim00" for piece "glowy"
    [f=0000580] Warning: [GetTexture] unknown 3DO texture "bluelight_anim00" for piece "glowy"
    [f=0000580] Warning: [GetTexture] unknown 3DO texture "bluelight_anim00" for piece "glowy"
    [f=0000580] Warning: [GetTexture] unknown 3DO texture "bluelight_anim00" for piece "glowy"
    [f=0000580] Warning: [GetTexture] unknown 3DO texture "bluelight_anim00" for piece "glowy"
    [f=0000580] Warning: [GetTexture] unknown 3DO texture "bluelight_anim00" for piece "glowy"
    [f=0000580] Warning: [GetTexture] unknown 3DO texture "bluelight_anim00" for piece "glowy"
    [f=0000580] Warning: [GetTexture] unknown 3DO texture "bluelight_anim00" for piece "glowy"
    [f=0000580] Warning: [GetTexture] unknown 3DO texture "bluelight_anim00" for piece "glowy"
    [f=0000580] Warning: [GetTexture] unknown 3DO texture "bluelight_anim00" for piece "glowy"
    [f=0000580] Warning: [GetTexture] unknown 3DO texture "bluelight_anim00" for piece "glowy"
    [f=0000580] Error: [GetFeatureDef] could not find FeatureDef "arm_screener_dead"
    [f=0000580] GH-FC:, 53, 0
    [f=0000580] Error: LuaRules::RunCallIn: error = 2, FeatureCreated, [Internal Lua error: Call failure] [string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: attempt to index a nil value
    stack traceback:
    	[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: in function <[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:195>
    	(tail call): ?
    	[string "LuaRules/gadgets.lua"]:1585: in function <[string "LuaRules/gadgets.lua"]:1582>
    	(tail call): ?
    [f=0000580] GH-FC:, 64, 0
    [f=0000580] Error: LuaRules::RunCallIn: error = 2, FeatureCreated, [Internal Lua error: Call failure] [string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: attempt to index a nil value
    stack traceback:
    	[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: in function <[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:195>
    	(tail call): ?
    	[string "LuaRules/gadgets.lua"]:1585: in function <[string "LuaRules/gadgets.lua"]:1582>
    	(tail call): ?
    [f=0000580] GH-FC:, 44, 0
    [f=0000580] Error: LuaRules::RunCallIn: error = 2, FeatureCreated, [Internal Lua error: Call failure] [string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: attempt to index a nil value
    stack traceback:
    	[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: in function <[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:195>
    	(tail call): ?
    	[string "LuaRules/gadgets.lua"]:1585: in function <[string "LuaRules/gadgets.lua"]:1582>
    	(tail call): ?
    [f=0000580] GH-FC:, 122, 0
    [f=0000580] Error: LuaRules::RunCallIn: error = 2, FeatureCreated, [Internal Lua error: Call failure] [string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: attempt to index a nil value
    stack traceback:
    	[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: in function <[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:195>
    	(tail call): ?
    	[string "LuaRules/gadgets.lua"]:1585: in function <[string "LuaRules/gadgets.lua"]:1582>
    	(tail call): ?
    [f=0000580] GH-FC:, 101, 0
    [f=0000580] Error: LuaRules::RunCallIn: error = 2, FeatureCreated, [Internal Lua error: Call failure] [string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: attempt to index a nil value
    stack traceback:
    	[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: in function <[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:195>
    	(tail call): ?
    	[string "LuaRules/gadgets.lua"]:1585: in function <[string "LuaRules/gadgets.lua"]:1582>
    	(tail call): ?
    [f=0000580] GH-FC:, 100, 0
    [f=0000580] Error: LuaRules::RunCallIn: error = 2, FeatureCreated, [Internal Lua error: Call failure] [string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: attempt to index a nil value
    stack traceback:
    	[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: in function <[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:195>
    	(tail call): ?
    	[string "LuaRules/gadgets.lua"]:1585: in function <[string "LuaRules/gadgets.lua"]:1582>
    	(tail call): ?
    [f=0000580] GH-FC:, 51, 0
    [f=0000580] Error: LuaRules::RunCallIn: error = 2, FeatureCreated, [Internal Lua error: Call failure] [string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: attempt to index a nil value
    stack traceback:
    	[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:200: in function <[string "LuaRules/Gadgets/unit_dynamic_collision_vol..."]:195>
    	(tail call): ?
    	[string "LuaRules/gadgets.lua"]:1585: in function <[string "LuaRules/gadgets.lua"]:1582>
    	(tail call): ?
    [f=0000580] Warning: could not load model "lost_nosmeab_dead.3do" (reason: [3DOParser] could not find model-file objects3d/lost_nosmeab_dead.3do)
    [f=0000580] Error: could not find a parser for model "lost_shaman_dead" (unknown format?)
    [f=0000580] Error: could not find a parser for model "lost_archer_dead" (unknown format?)
    [f=0000581] Error: Spr[infg= 0100000.508.11]- 10E0r8r-ogr4:b fSbp2rbib ndge v1e0l0o.p 0h.a1s- 1c0r0a8s-hge4db.fb
    2bb develop has crashed.
    [f=0000581] Error: DLL information:
    [f=0000581] Error: 0x00400000	spring
    [f=0000581] Error: 0x770f0000	ntdll
    [f=0000581] Error: 0x76110000	kernel32
    [f=0000581] Error: 0x76240000	KERNELBASE
    [f=0000581] Error: 0x75a70000	ADVAPI32
    [f=0000581] Error: 0x74d70000	msvcrt
    [f=0000581] Error: 0x75ee0000	sechost
    [f=0000581] Error: 0x74b30000	RPCRT4
    [f=0000581] Error: 0x74a70000	SspiCli
    [f=0000581] Error: 0x74a60000	CRYPTBASE
    [f=0000581] Error: 0x58fc0000	GLU32
    [f=0000581] Error: 0x58ef0000	OPENGL32
    [f=0000581] Error: 0x75fa0000	GDI32
    [f=0000581] Error: 0x76880000	USER32
    [f=0000581] Error: 0x75f90000	LPK
    [f=0000581] Error: 0x76060000	USP10
    [f=0000581] Error: 0x58e00000	DDRAW
    [f=0000581] Error: 0x5f3d0000	DCIMAN32
    [f=0000581] Error: 0x76480000	SETUPAPI
    [f=0000581] Error: 0x75eb0000	CFGMGR32
    [f=0000581] Error: 0x76c00000	OLEAUT32
    [f=0000581] Error: 0x76620000	ole32
    [f=0000581] Error: 0x76220000	DEVOBJ
    [f=0000581] Error: 0x6d4b0000	dwmapi
    [f=0000581] Error: 0x76290000	IMAGEHLP
    [f=0000581] Error: 0x74e20000	SHELL32
    [f=0000581] Error: 0x76c90000	SHLWAPI
    [f=0000581] Error: 0x720d0000	WINMM
    [f=0000581] Error: 0x76330000	WS2_32
    [f=0000581] Error: 0x75ea0000	NSI
    [f=0000581] Error: 0x10000000	DevIL
    [f=0000581] Error: 0x5a2b0000	MSVCP80
    [f=0000581] Error: 0x59060000	MSVCR80
    [f=0000581] Error: 0x6b800000	OpenAL32
    [f=0000581] Error: 0x70780000	vorbisfile
    [f=0000581] Error: 0x68140000	ogg
    [f=0000581] Error: 0x64cc0000	vorbis
    [f=0000581] Error: 0x62e80000	zlib1
    [f=0000581] Error: 0x70e40000	libfreetype-6
    [f=0000581] Error: 0x65180000	libfontconfig-1
    [f=0000581] Error: 0x68f40000	libexpat-1
    [f=0000581] Error: 0x62aa0000	glew32
    [f=0000581] Error: 0x6c740000	SDL2
    [f=0000581] Error: 0x74ad0000	IMM32
    [f=0000581] Error: 0x767b0000	MSCTF
    [f=0000581] Error: 0x736a0000	VERSION
    [f=0000581] Error: 0x606b0000	nvapi
    [f=0000581] Error: 0x767a0000	profapi
    [f=0000581] Error: 0x6d550000	uxtheme
    [f=0000581] Error: 0x01230000	RTSSHooks
    [f=0000581] Error: 0x02cb0000	PowerMenuHook
    [f=0000581] Error: 0x52dc0000	nvoglv32
    [f=0000581] Error: 0x70490000	WTSAPI32
    [f=0000581] Error: 0x76990000	WINTRUST
    [f=0000581] Error: 0x75b10000	CRYPT32
    [f=0000581] Error: 0x76980000	MSASN1
    [f=0000581] Error: 0x6fa80000	ntmarta
    [f=0000581] Error: 0x75e40000	WLDAP32
    [f=0000581] Error: 0x6f660000	WINSTA
    [f=0000581] Error: 0x76370000	CLBCatQ
    [f=0000581] Error: 0x6d310000	shfolder
    [f=0000581] Error: 0x69590000	MMDevApi
    [f=0000581] Error: 0x6f740000	PROPSYS
    [f=0000581] Error: 0x5a040000	dsound
    [f=0000581] Error: 0x5f690000	POWRPROF
    [f=0000581] Error: 0x72820000	AUDIOSES
    [f=0000581] Error: 0x5f7c0000	dinput8
    [f=0000581] Error: 0x620d0000	HID
    [f=0000581] Error: 0x08b80000	XInput1_3
    [f=0000581] Error: 0x70430000	mswsock
    [f=0000581] Error: 0x70090000	wship6
    [f=0000581] Error: 0x70420000	wshtcpip
    [f=0000581] Error: 0x6f710000	WLIDNSP
    [f=0000581] Error: 0x770c0000	PSAPI
    [f=0000581] Error: 0x6ce50000	DNSAPI
    [f=0000581] Error: 0x6ce20000	mdnsNSP
    [f=0000581] Error: 0x6fe40000	Iphlpapi
    [f=0000581] Error: 0x6fe30000	WINNSI
    [f=0000581] Error: 0x6f6b0000	rasadhlp
    [f=0000581] Error: 0x6cca0000	fwpuclnt
    [f=0000581] Error: 0x62b40000	AIInterface
    [f=0000581] Error: 0x6e340000	SkirmishAI
    [f=0000581] Error: 0x73c10000	dbghelp
    [f=0000581] Error: Exception: Access violation (0xc0000005)
    [f=0000581] Error: Exception Address: 0x00925472
    [f=0000581] Error: Stacktrace for Spring 100.0.1-1008-g4bfb2bb develop:
    [f=0000581] Error: (0) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x150bd2) [0x00925472]
    [f=0000581] Error: (1) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x151b88) [0x00926428]
    [f=0000581] Error: (2) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x148523) [0x0091CDC3]
    [f=0000581] Error: (3) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x420c48) [0x00BF54E8]
    [f=0000581] Error: (4) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x45978d) [0x00C2E02D]
    [f=0000581] Error: (5) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x420c70) [0x00BF5510]
    [f=0000581] Error: (6) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x14b628) [0x0091FEC8]
    [f=0000581] Error: (7) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x14c4ff) [0x00920D9F]
    [f=0000581] Error: (8) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x14c92a) [0x009211CA]
    [f=0000581] Error: (9) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x420c48) [0x00BF54E8]
    [f=0000581] Error: (10) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x45978d) [0x00C2E02D]
    [f=0000581] Error: (11) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x420c70) [0x00BF5510]
    [f=0000581] Error: (12) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x37eadc) [0x00B5337C]
    [f=0000581] Error: (13) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x12d0f6) [0x00901996]
    [f=0000581] Error: (14) C:\Windows\syswow64\kernel32.dll(BaseThreadInitThunk+0x12) [0x7612338A]
    [f=0000581] Error: (15) C:\Windows\SysWOW64\ntdll.dll(RtlInitializeExceptionChain+0x63) [0x77129EF2]
    [f=0000581] Error: (16) C:\Windows\SysWOW64\ntdll.dll(RtlInitializeExceptionChain+0x36) [0x77129EC5]
    [f=0000581] Error: [ErrorMessageBox][1] msg="Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      U:\bin\Spring\Data\infolog.txt" IsMainThread()=0 fromMain=0
    [f=0000581] Error: DLL information:
    [f=0000581] Error: 0x00400000	spring
    [f=0000581] Error: 0x770f0000	ntdll
    [f=0000581] Error: 0x76110000	kernel32
    [f=0000581] Error: 0x76240000	KERNELBASE
    [f=0000581] Error: 0x75a70000	ADVAPI32
    [f=0000581] Error: 0x74d70000	msvcrt
    [f=0000581] Error: 0x75ee0000	sechost
    [f=0000581] Error: 0x74b30000	RPCRT4
    [f=0000581] Error: 0x74a70000	SspiCli
    [f=0000581] Error: 0x74a60000	CRYPTBASE
    [f=0000581] Error: 0x58fc0000	GLU32
    [f=0000581] Error: 0x58ef0000	OPENGL32
    [f=0000581] Error: 0x75fa0000	GDI32
    [f=0000581] Error: 0x76880000	USER32
    [f=0000581] Error: 0x75f90000	LPK
    [f=0000581] Error: 0x76060000	USP10
    [f=0000581] Error: 0x58e00000	DDRAW
    [f=0000581] Error: 0x5f3d0000	DCIMAN32
    [f=0000581] Error: 0x76480000	SETUPAPI
    [f=0000581] Error: 0x75eb0000	CFGMGR32
    [f=0000581] Error: 0x76c00000	OLEAUT32
    [f=0000581] Error: 0x76620000	ole32
    [f=0000581] Error: 0x76220000	DEVOBJ
    [f=0000581] Error: 0x6d4b0000	dwmapi
    [f=0000581] Error: 0x76290000	IMAGEHLP
    [f=0000581] Error: 0x74e20000	SHELL32
    [f=0000581] Error: 0x76c90000	SHLWAPI
    [f=0000581] Error: 0x720d0000	WINMM
    [f=0000581] Error: 0x76330000	WS2_32
    [f=0000581] Error: 0x75ea0000	NSI
    [f=0000581] Error: 0x10000000	DevIL
    [f=0000581] Error: 0x5a2b0000	MSVCP80
    [f=0000581] Error: 0x59060000	MSVCR80
    [f=0000581] Error: 0x6b800000	OpenAL32
    [f=0000581] Error: 0x70780000	vorbisfile
    [f=0000581] Error: 0x68140000	ogg
    [f=0000581] Error: 0x64cc0000	vorbis
    [f=0000581] Error: 0x62e80000	zlib1
    [f=0000581] Error: 0x70e40000	libfreetype-6
    [f=0000581] Error: 0x65180000	libfontconfig-1
    [f=0000581] Error: 0x68f40000	libexpat-1
    [f=0000581] Error: 0x62aa0000	glew32
    [f=0000581] Error: 0x6c740000	SDL2
    [f=0000581] Error: 0x74ad0000	IMM32
    [f=0000581] Error: 0x767b0000	MSCTF
    [f=0000581] Error: 0x736a0000	VERSION
    [f=0000581] Error: 0x606b0000	nvapi
    [f=0000581] Error: 0x767a0000	profapi
    [f=0000581] Error: 0x6d550000	uxtheme
    [f=0000581] Error: 0x01230000	RTSSHooks
    [f=0000581] Error: 0x02cb0000	PowerMenuHook
    [f=0000581] Error: 0x52dc0000	nvoglv32
    [f=0000581] Error: 0x70490000	WTSAPI32
    [f=0000581] Error: 0x76990000	WINTRUST
    [f=0000581] Error: 0x75b10000	CRYPT32
    [f=0000581] Error: 0x76980000	MSASN1
    [f=0000581] Error: 0x6fa80000	ntmarta
    [f=0000581] Error: 0x75e40000	WLDAP32
    [f=0000581] Error: 0x6f660000	WINSTA
    [f=0000581] Error: 0x76370000	CLBCatQ
    [f=0000581] Error: 0x6d310000	shfolder
    [f=0000581] Error: 0x69590000	MMDevApi
    [f=0000581] Error: 0x6f740000	PROPSYS
    [f=0000581] Error: 0x5a040000	dsound
    [f=0000581] Error: 0x5f690000	POWRPROF
    [f=0000581] Error: 0x72820000	AUDIOSES
    [f=0000581] Error: 0x5f7c0000	dinput8
    [f=0000581] Error: 0x620d0000	HID
    [f=0000581] Error: 0x08b80000	XInput1_3
    [f=0000581] Error: 0x70430000	mswsock
    [f=0000581] Error: 0x70090000	wship6
    [f=0000581] Error: 0x70420000	wshtcpip
    [f=0000581] Error: 0x6f710000	WLIDNSP
    [f=0000581] Error: 0x770c0000	PSAPI
    [f=0000581] Error: 0x6ce50000	DNSAPI
    [f=0000581] Error: 0x6ce20000	mdnsNSP
    [f=0000581] Error: 0x6fe40000	Iphlpapi
    [f=0000581] Error: 0x6fe30000	WINNSI
    [f=0000581] Error: 0x6f6b0000	rasadhlp
    [f=0000581] Error: 0x6cca0000	fwpuclnt
    [f=0000581] Error: 0x62b40000	AIInterface
    [f=0000581] Error: 0x6e340000	SkirmishAI
    [f=0000581] Error: 0x73c10000	dbghelp
    [f=0000581] Error: Exception: Access violation (0xc0000005)
    [f=0000581] Error: Exception Address: 0x00925ed6
    [f=0000581] Error: Stacktrace for Spring 100.0.1-1008-g4bfb2bb develop:
    [f=0000581] Error: (0) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x151636) [0x00925ED6]
    [f=0000581] Error: (1) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x151b88) [0x00926428]
    [f=0000581] Error: (2) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x148523) [0x0091CDC3]
    [f=0000581] Error: (3) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x420c48) [0x00BF54E8]
    [f=0000581] Error: (4) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x45978d) [0x00C2E02D]
    [f=0000581] Error: (5) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x420c70) [0x00BF5510]
    [f=0000581] Error: (6) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x37eadc) [0x00B5337C]
    [f=0000581] Error: (7) U:\bin\Spring\Data\engine\100.0.1-1008-g4bfb2bb develop\spring.exe(skirmishAiCallback_Cheats_setEnabled+0x12d0f6) [0x00901996]
    [f=0000581] Error: (8) C:\Windows\syswow64\kernel32.dll(BaseThreadInitThunk+0x12) [0x7612338A]
    [f=0000581] Error: (9) C:\Windows\SysWOW64\ntdll.dll(RtlInitializeExceptionChain+0x63) [0x77129EF2]
    [f=0000581] Error: (10) C:\Windows\SysWOW64\ntdll.dll(RtlInitializeExceptionChain+0x36) [0x77129EC5]
    [f=0000581] Error: [ErrorMessageBox][1] msg="Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      U:\bin\Spring\Data\infolog.txt" IsMainThread()=0 fromMain=0
    [f=0000581] [SpringApp::ShutDown][1]
    [f=0000581] [ThreadPool::SetThreadCount][1] #wanted=0 #current=3 #max=4
    [f=0000581] [ThreadPool::SetThreadCount][2] #threads=0
    [f=0000581] [SpringApp::ShutDown][2]
    [f=0000581] [KillLua][1]
    [f=0000581] [KillLua][2]
    [f=0000581] [KillLua][3]
    [f=0000581] Reloading GUI config from file: LuaUI/ctrlpanel.txt
    [f=0000581] Unloading Red Minimap and restoring old one...
    [f=0000581] [KillLua][4]
    [f=0000581] [~CGame]1]
    [f=0000581] [KillLua][1]
    [f=0000581] [KillLua][2]
    [f=0000581] [KillLua][3]
    [f=0000581] [KillLua][4]
    [f=0000581] [KillMisc][1]
    [f=0000581] [KillMisc][2]
    [f=0000581] [KillRendering][1]
    [f=0000581] [KillInterface][1]
    [f=0000581] [KillInterface][2]
    [f=0000581] [KillSimulation][1]
    [f=0000581] [KillSimulation][2]
    [f=0000581] [CCollisionHandler] dis-/continuous tests: 0/1979
    [f=0000581] [KillSimulation][3]
    [f=0000581] [~CPathCache(24x16)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000581] [~CPathCache(24x16)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000581] [~CPathCache(96x64)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000581] [~CPathCache(96x64)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=201
    [f=0000581] Statistics for RectangleOptimizer: 7%
    [f=0000581] Statistics for RectangleOptimizer: 7%
    [f=0000581] LosHandler stats: total instances=915; shared=0%; from cache=0%
    [f=0000581] [KillSimulation][4]
    [f=0000581] [~CGame][2]
    [f=0000581] [~CGame][3]
    [f=0000581] [SpringApp::ShutDown][3]
    [f=0000581] Statistics for local connection:
    Received: 2229 bytes
    Sent: 7679 bytes
    
    [f=0000581] Writing demo: U:\bin\Spring\Data\demos\20160130_175826_Red Comet_100.0.1-1008-g4bfb2bb develop.sdf.gz
    [f=0000581] [SpringApp::ShutDown][4]
    [f=0000581] [WatchDog] deregistering controls for thread [audio]
    [f=0000581] [SpringApp::ShutDown][5]
    [f=0000581] [SpringApp::ShutDown][6]
    [f=0000581] [SpringApp::ShutDown][7]
    [LuaSocket] Dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [SpringApp::ShutDown][8]
    [WatchDog] deregistering controls for thread [main]
    [WatchDog::Uninstall][1] hangDetectorThread=02f9ca30
    [WatchDog::Uninstall][2]
    [WatchDog::Uninstall][3]
    [SpringApp::ShutDown][9]
    [SpringApp::Run] exitCode=0
    Error: [ErrorMessageBox][1] msg=" error: Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      U:\bin\Spring\Data\infolog.txt" IsMainThread()=1 fromMain=1
    Error: [ErrorMessageBox][2]
    Error: [ErrorMessageBox][3]
    Error: [ErrorMessageBox][4]
    Fatal: Spring: Unhandled exception
     error: Spring has crashed:
      Access violation.
    
    A stacktrace has been written to:
      U:\bin\Spring\Data\infolog.txt
    
    txt file icon infolog.txt (47,854 bytes) 2016-01-30 17:07 +

-Relationships
+Relationships

-Notes

~0015584

Kloot (developer)

another manifestation of 5043, fixed
+Notes

-Issue History
Date Modified Username Field Change
2016-01-30 17:07 Jools New Issue
2016-01-30 17:07 Jools File Added: infolog.txt
2016-01-30 18:42 Kloot Note Added: 0015584
2016-01-30 18:42 Kloot Status new => resolved
2016-01-30 18:42 Kloot Fixed in Version => 100.0+git
2016-01-30 18:42 Kloot Resolution open => fixed
2016-01-30 18:42 Kloot Assigned To => Kloot
+Issue History